org.apache.fop.render.pcl.fonts

## Class PCLSoftFontManager.PCLTextSegment

- java.lang.Object
- - org.apache.fop.render.pcl.fonts.PCLSoftFontManager.PCLTextSegment

- Enclosing class:
    PCLSoftFontManager

      public static class PCLSoftFontManager.PCLTextSegment
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PCLTextSegment(int fontID, java.lang.String text)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFontID()`
    `java.lang.String` | `getText()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PCLTextSegment

          public PCLTextSegment(int fontID,
                                java.lang.String text)

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

    - #### getFontID

          public int getFontID()

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.